using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
		TextBox1.Text = 
			string.Format("Nom d'utilisateur: {0}\nRéférentiel: {1}\nAuthentifé ? {2}\nType: {3}\nMembre d'Acheteurs ? {4}",
			User.Identity.Name,
			User.Identity.AuthenticationType,
			User.Identity.IsAuthenticated,
			User.GetType().FullName,
			User.IsInRole(@"Acheteurs")); // ou bien BRICE-ARNAUD\Acheteur

		if (Roles.IsUserInRole("Acheteurs"))
			Label1.Text = "Membre du groupe Acheteurs";
		else
			Label1.Text = "Ne figure pas dans le groupe Acheteurs";
    }
}
